/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class ConnectionOmniChannelTiktokMessageHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ConnectionOmniChannelTiktokMessageRequest extends $tea.Model {
    tiktokContentJsonString?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ConnectionOmniChannelTiktokMessageResponseBody extends $tea.Model {
    errorCode?: string;
    errorMsg?: string;
    omniChannelTiktokRsp?: ConnectionOmniChannelTiktokMessageResponseBodyOmniChannelTiktokRsp;
    success?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ConnectionOmniChannelTiktokMessageResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ConnectionOmniChannelTiktokMessageResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetLoginUserHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetLoginUserRequest extends $tea.Model {
    authCode?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetLoginUserResponseBody extends $tea.Model {
    commodityInfo?: GetLoginUserResponseBodyCommodityInfo;
    corpId?: string;
    openId?: string;
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetLoginUserResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetLoginUserResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class HhoCallBackHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class HhoCallBackRequest extends $tea.Model {
    data?: string;
    dtNotificationId?: string;
    shopId?: string;
    timestamp?: string;
    type?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class HhoCallBackResponseBody extends $tea.Model {
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class HhoCallBackResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: HhoCallBackResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class LaunchHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class LaunchRequest extends $tea.Model {
    description?: string;
    imageUrls?: string[];
    platform?: string[];
    productName?: string;
    sellingPoints?: string[];
    sourceData?: string;
    variants?: LaunchRequestVariants[];
    videoUrls?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class LaunchResponseBody extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class LaunchResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: LaunchResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryNotableInfoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryNotableInfoRequest extends $tea.Model {
    sceneCode?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryNotableInfoResponseBody extends $tea.Model {
    adminUnionIds?: string[];
    baseId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryNotableInfoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryNotableInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TiktokShopAuthCallbackHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TiktokShopAuthCallbackRequest extends $tea.Model {
    sellerType?: string;
    shopId?: string;
    shopName?: string;
    shopRegion?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TiktokShopAuthCallbackResponseBody extends $tea.Model {
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TiktokShopAuthCallbackResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: TiktokShopAuthCallbackResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TiktokWebhookProcessHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TiktokWebhookProcessRequest extends $tea.Model {
    tiktokContentJsonString?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TiktokWebhookProcessResponseBody extends $tea.Model {
    code?: number;
    errorCode?: string;
    errorMsg?: string;
    omniChannelTiktokWebhookRsp?: TiktokWebhookProcessResponseBodyOmniChannelTiktokWebhookRsp;
    success?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TiktokWebhookProcessResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: TiktokWebhookProcessResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ConnectionOmniChannelTiktokMessageResponseBodyOmniChannelTiktokRsp extends $tea.Model {
    code?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetLoginUserResponseBodyCommodityInfo extends $tea.Model {
    version?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class LaunchRequestVariantsOptionValues extends $tea.Model {
    name?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class LaunchRequestVariants extends $tea.Model {
    images?: string[];
    optionValues?: LaunchRequestVariantsOptionValues[];
    price?: string;
    sku?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TiktokWebhookProcessResponseBodyOmniChannelTiktokWebhookRsp extends $tea.Model {
    code?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 全渠道运营客服tiktok消息接入
     *
     * @param request - ConnectionOmniChannelTiktokMessageRequest
     * @param headers - ConnectionOmniChannelTiktokMessageHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ConnectionOmniChannelTiktokMessageResponse
     */
    connectionOmniChannelTiktokMessageWithOptions(request: ConnectionOmniChannelTiktokMessageRequest, headers: ConnectionOmniChannelTiktokMessageHeaders, runtime: $Util.RuntimeOptions): Promise<ConnectionOmniChannelTiktokMessageResponse>;
    /**
     * 全渠道运营客服tiktok消息接入
     *
     * @param request - ConnectionOmniChannelTiktokMessageRequest
     * @returns ConnectionOmniChannelTiktokMessageResponse
     */
    connectionOmniChannelTiktokMessage(request: ConnectionOmniChannelTiktokMessageRequest): Promise<ConnectionOmniChannelTiktokMessageResponse>;
    /**
     * 获取当前登录用户版本信息
     *
     * @param request - GetLoginUserRequest
     * @param headers - GetLoginUserHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetLoginUserResponse
     */
    getLoginUserWithOptions(request: GetLoginUserRequest, headers: GetLoginUserHeaders, runtime: $Util.RuntimeOptions): Promise<GetLoginUserResponse>;
    /**
     * 获取当前登录用户版本信息
     *
     * @param request - GetLoginUserRequest
     * @returns GetLoginUserResponse
     */
    getLoginUser(request: GetLoginUserRequest): Promise<GetLoginUserResponse>;
    /**
     * 提供给HHO的异步回调接口
     *
     * @param request - HhoCallBackRequest
     * @param headers - HhoCallBackHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns HhoCallBackResponse
     */
    hhoCallBackWithOptions(request: HhoCallBackRequest, headers: HhoCallBackHeaders, runtime: $Util.RuntimeOptions): Promise<HhoCallBackResponse>;
    /**
     * 提供给HHO的异步回调接口
     *
     * @param request - HhoCallBackRequest
     * @returns HhoCallBackResponse
     */
    hhoCallBack(request: HhoCallBackRequest): Promise<HhoCallBackResponse>;
    /**
     * 刊登的对外开放Api
     *
     * @param request - LaunchRequest
     * @param headers - LaunchHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns LaunchResponse
     */
    launchWithOptions(request: LaunchRequest, headers: LaunchHeaders, runtime: $Util.RuntimeOptions): Promise<LaunchResponse>;
    /**
     * 刊登的对外开放Api
     *
     * @param request - LaunchRequest
     * @returns LaunchResponse
     */
    launch(request: LaunchRequest): Promise<LaunchResponse>;
    /**
     * 全渠道AI表格业务信息
     *
     * @param request - QueryNotableInfoRequest
     * @param headers - QueryNotableInfoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryNotableInfoResponse
     */
    queryNotableInfoWithOptions(request: QueryNotableInfoRequest, headers: QueryNotableInfoHeaders, runtime: $Util.RuntimeOptions): Promise<QueryNotableInfoResponse>;
    /**
     * 全渠道AI表格业务信息
     *
     * @param request - QueryNotableInfoRequest
     * @returns QueryNotableInfoResponse
     */
    queryNotableInfo(request: QueryNotableInfoRequest): Promise<QueryNotableInfoResponse>;
    /**
     * 平台店铺授权回调
     *
     * @param request - TiktokShopAuthCallbackRequest
     * @param headers - TiktokShopAuthCallbackHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns TiktokShopAuthCallbackResponse
     */
    tiktokShopAuthCallbackWithOptions(request: TiktokShopAuthCallbackRequest, headers: TiktokShopAuthCallbackHeaders, runtime: $Util.RuntimeOptions): Promise<TiktokShopAuthCallbackResponse>;
    /**
     * 平台店铺授权回调
     *
     * @param request - TiktokShopAuthCallbackRequest
     * @returns TiktokShopAuthCallbackResponse
     */
    tiktokShopAuthCallback(request: TiktokShopAuthCallbackRequest): Promise<TiktokShopAuthCallbackResponse>;
    /**
     * 全渠道运营Tiktok的Webhook信息写入
     *
     * @param request - TiktokWebhookProcessRequest
     * @param headers - TiktokWebhookProcessHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns TiktokWebhookProcessResponse
     */
    tiktokWebhookProcessWithOptions(request: TiktokWebhookProcessRequest, headers: TiktokWebhookProcessHeaders, runtime: $Util.RuntimeOptions): Promise<TiktokWebhookProcessResponse>;
    /**
     * 全渠道运营Tiktok的Webhook信息写入
     *
     * @param request - TiktokWebhookProcessRequest
     * @returns TiktokWebhookProcessResponse
     */
    tiktokWebhookProcess(request: TiktokWebhookProcessRequest): Promise<TiktokWebhookProcessResponse>;
}
